return {

  -- 'rose-pine/neovim',
  -- name = 'rose-pine',
  -- config = function()
  --   require('rose-pine').setup({
  --     styles = {
  --       transparency = true,
  --     },
  --     -- TODO: Ideally only certain groups would have italics disabled
  --     disable_italics = true,
  --   })
  --   vim.cmd('colorscheme rose-pine')
  -- end

  'rebelot/kanagawa.nvim',
  config = function()
    local kanagawa = require('kanagawa')

    local dragon = {
      ui = {
        bg        = '#080808',
        bg_m3     = '#262626',
        bg_gutter = '#121212',
      },
    }

    kanagawa.setup({
      commentStyle = { italic = false },
      keywordStyle = { italic = false },
      colors = { theme = { dragon = dragon } },
    })
    kanagawa.load('dragon')

    -- Override highlight groups
    vim.cmd('highlight WinSeparator guifg=' .. dragon.ui.bg_m3 .. ' guibg=' .. dragon.ui.bg_m3)
    vim.cmd('highlight MsgSeparator guifg=' .. dragon.ui.bg_m3 .. ' guibg=' .. dragon.ui.bg_m3)
  end
}
