# C LuaSnip Snippets

local luasnip = require('luasnip')
local snip = luasnip.snippet
local text = luasnip.text_node
local insert = luasnip.insert_node
local func = luasnip.function_node
local key = require("luasnip.nodes.key_indexer").new_key

local snippets = {
  snip('#include', {
    text('#include '),
    insert(1, '<', { key = 'open' }),
    insert(2, 'header'),
    func(function(args)
      if args[1][1] == '<' then
        return '>'
      else
        return '"'
      end
    end, key('open')),
  }),
}

return snippets
